summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMort Yao2018-05-18 23:38:01 +0200
committerMort Yao2018-05-18 23:38:01 +0200
commit459d1d9adc05d9f9946cbaf5943367d10cbbb719 (patch)
treed808d05843809388f76c29b00ecc4dd0bc9f6ea4
downloadaur-459d1d9adc05d9f9946cbaf5943367d10cbbb719.tar.gz
ocaml-ppx_derivers-git 20180224-1
-rw-r--r--.SRCINFO17
-rw-r--r--.gitignore8
-rw-r--r--PKGBUILD33
3 files changed, 58 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..2da9465e649
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+# Generated by mksrcinfo v8
+# Fri May 18 21:37:32 UTC 2018
+pkgbase = ocaml-ppx_derivers-git
+ pkgdesc = deriving plugin registry
+ pkgver = 20180224
+ pkgrel = 1
+ url = https://github.com/ocaml-ppx/ppx_derivers
+ arch = x86_64
+ license = BSD
+ makedepends = ocamlbuild
+ makedepends = ocaml-findlib
+ provides = ocaml-ppx_derivers
+ source = ocaml-ppx_derivers-git::git://github.com/ocaml-ppx/ppx_derivers.git
+ md5sums = SKIP
+
+pkgname = ocaml-ppx_derivers-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..11046d3c70f
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,8 @@
+/pkg
+/src
+*.sig
+*.bz2
+*.gz
+*.tar
+*.xz
+*.zip
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4b122123c22
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Mort Yao <soi@mort.ninja>
+
+pkgname=ocaml-ppx_derivers-git
+pkgver=20180224
+pkgrel=1
+pkgdesc="deriving plugin registry"
+arch=('x86_64')
+url='https://github.com/ocaml-ppx/ppx_derivers'
+license=('BSD')
+provides=('ocaml-ppx_derivers')
+makedepends=('ocamlbuild' 'ocaml-findlib')
+source=("${pkgname}::git://github.com/ocaml-ppx/ppx_derivers.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ git log -1 --pretty=format:%cd --date=short | sed 's/-//g'
+}
+
+build() {
+ cd "$pkgname"
+
+ make
+}
+
+package() {
+ destdir="$pkgdir/$(ocamlfind printconf destdir)"
+
+ cd "$pkgname"
+
+ mkdir -p "$destdir/ppx_derivers" || return 1
+ make DESTDIR="$destdir/" OCAMLFIND_DESTDIR="$destdir/" install || return 1
+}